#!/usr/bin/perl -w
# vi: ts=4 sw=4

use DBI;
use strict;

my $dbname = 'cflags';
my $username = 'cflagread';
my $passwd = 'cflagread';
my $outputdir = '../rawdata/';

my $dbh = DBI->connect('DBI:mysql:'.$dbname,$username,$passwd)
or die "Couldn't connect to database: " . DBI->errstr;

my $sth = $dbh->prepare('SELECT * FROM rawinfo')
or die "Couldn't prepare statement: " . $dbh->errstr;

$sth->execute # Execute the query
or die "Couldn't execute statement: " . $sth->errstr;

my $count = 0;
my $data;
while (
$data = $sth->fetchrow_hashref()
) {
	$count++;
	my $id;
	my @k = keys %{ $data };
	$id = $data->{'id'};
	my $dir = $outputdir.sprintf('%.4d',$id).'/';
	system('mkdir -p '.$dir);
	my $col;
	foreach $col (@k) {
		open FD,'> '.$dir.$col;
		print FD $data->{$col}."\n";
		close FD;
	}
}
$sth->finish;

print 'Count: '.$count."\n";

$dbh->disconnect;

sub stripslashes {
    my $txt = @_;
    $txt =~ s/\\\"/\"/g;
    $txt =~ s/\\\'/\'/g;
    return $txt;
}


