#!/bin/sh

# ----
CAT=cat
GREP="egrep -i"
SED=sed
TR=tr
CUT=cut
XARGS=xargs
GETVALUE="${CUT} -d: -f2-"
GETNAME="${CUT} -d: -f1-"
SPACEONLY="${TR} -s '[:blank:]' ' '"
NORMALIZE="${TR} -s '[:blank:]'"
LOWERCASE="${TR} '[:upper:]' '[:lower:]'"
ANY2UNIX="${TR} -s '\015' '\012'"
REMOVETRADEMARK="${SED} -e 's/(TM)//gi'"
REMOVEREGISTERED="${SED} -e 's/(R)//gi'"
REMOVEMISC="${TR} -s \"()+\-='/\\\"\" ' '"
PREPAREREGEX="${SED} -e 's/-/.*/g'"
CPUINFOSTR="(cpu|arch|model name|cpu model|processor|vendor_id)"
# ----
function cpuinfo_print() {
local cpuinfo_processed="`${CAT} ${CPUINFOSRC} | eval ${SPACEONLY} | eval ${ANY2UNIX}`"
echo "${cpuinfo_processed}"
}
function cpuinfo_getval() {
local n="$CPUINFOSTR"
cpuinfo_print | ${GREP} "^${n} : ...*" | eval ${GETVALUE} \
| eval ${LOWERCASE} | eval ${REMOVETRADEMARK} | eval ${REMOVEREGISTERED} \
| eval ${REMOVEMISC} | head -n2 | eval ${XARGS}
}
function cleanecho() {
cat "$1" | \
sed -e 's/^CHOST//g' \
    -e 's/^CFLAGS//g' \
    -e 's/^CXXFLAGS//g' \
    -e 's/^=//g' \
    -e 's/"$//g' | \
eval ${SPACEONLY} | eval ${ANY2UNIX} | \
eval ${XARGS}
}

DATADIR=`dirname $0`/../rawdata/
[ -d ${DATADIR} ] || DATADIR=`pwd`/`dirname $0`/../rawdata/

cd $DATADIR
for dir in `find -name '13[0-9]*' -printf "%f\n" | xargs`; do
    echo "$dir "
    files1="chost cflags cxxflags"
    files2="cpuinfo"
    for i in $files1; do
        cleanecho $dir/$i >>$i
    done;
    CPUINFOSRC=$DATADIR/$dir/cpuinfo
    cpuinfo_getval >>$DATADIR/cpuinfo
done 
